#include <windows.h>

#include "Profile.h"

BOOL Profile_Initialize(const TCHAR *path, const BOOL ReadFlag)
{
	return TRUE;
}

BOOL Profile_Flush(const TCHAR *path)
{
	return TRUE;
}

void Profile_Free(void)
{
}

long Profile_GetString(const TCHAR *Section, const TCHAR *Key, const TCHAR *Default, TCHAR *ret, const long size, const TCHAR *File)
{
	GetPrivateProfileString(Section, Key, Default, ret, size, File);
	return lstrlen(ret);
}

int Profile_GetInt(const TCHAR *Section, const TCHAR *Key, const int Default, const TCHAR *File)
{
	return GetPrivateProfileInt(Section, Key, Default, File);
}

BOOL Profile_WriteString(const TCHAR *Section, const TCHAR *Key, const TCHAR *str, const TCHAR *File)
{
	return WritePrivateProfileString(Section, Key, str, File);
}

BOOL Profile_WriteInt(const TCHAR *Section, const TCHAR *Key, const int num, const TCHAR *File)
{
	TCHAR ret[256];
	wsprintf(ret, TEXT("%d"), num);
	return WritePrivateProfileString(Section, Key, ret, File);
}
